extends "res://scripts/star.gd"


func on_area_entered(area : Area):
	sounds.power_up_play()
	.on_area_entered(area)
	var globalgame = get_tree().get_current_scene()
	var safe_stair : Vector3 = globalgame.current_level.get_safe_stair(
		area.get_parent().translation)
	globalgame.emit_signal("on_boost",safe_stair)

func taken_sound():
	pass
